## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate lcms2

Name:           rust-lcms2
Version:        6.1.0
Release:        %autorelease
Summary:        ICC color profile handling. Rusty wrapper for Little CMS

License:        MIT
URL:            https://crates.io/crates/lcms2
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * remove feature for statically linking liblcms2
Patch:          lcms2-fix-metadata.diff
# * include correct license text:
#   https://github.com/kornelski/rust-lcms2/issues/21
#   https://github.com/kornelski/rust-lcms2/pull/22
#   upstream seems to have accidentally included the MIT-0 text instead of MIT
Patch:          https://github.com/kornelski/rust-lcms2/pull/22.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
ICC color profile handling. Rusty wrapper for Little CMS.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip one failing test (needs investigating)
%cargo_test -- -- --exact --skip profile::setters
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Apr 02 2024 Fabio Valentini <decathorpe@gmail.com> - 6.1.0-1
- Update to version 6.1.0; Fixes RHBZ#2236999

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 5.6.0-1
- Initial Fedora packaging (rhbz#2233226)
## END: Generated by rpmautospec
